summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChris Gianelloni <wolf31o2@gentoo.org>2006-09-27 12:59:56 +0000
committerChris Gianelloni <wolf31o2@gentoo.org>2006-09-27 12:59:56 +0000
commit6ecd209c6bb19b5e1463c8a402bd67f37e8e3fe6 (patch)
tree6135d2cc12db43e6845264b37801254f9004e79c /eclass/vmware-mod.eclass
parentStable on SPARC. (diff)
downloadhistorical-6ecd209c6bb19b5e1463c8a402bd67f37e8e3fe6.tar.gz
historical-6ecd209c6bb19b5e1463c8a402bd67f37e8e3fe6.tar.bz2
historical-6ecd209c6bb19b5e1463c8a402bd67f37e8e3fe6.zip
Moved vmnet changing from vmware.eclass to vmware-mod.eclass as part of the udev rules. This allows users to make changes easily.
Diffstat (limited to 'eclass/vmware-mod.eclass')
-rw-r--r--eclass/vmware-mod.eclass6
1 files changed, 3 insertions, 3 deletions
diff --git a/eclass/vmware-mod.eclass b/eclass/vmware-mod.eclass
index bf830c5ed607..e1b42345eb87 100644
--- a/eclass/vmware-mod.eclass
+++ b/eclass/vmware-mod.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/vmware-mod.eclass,v 1.2 2006/08/08 19:16:42 ikelos Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/vmware-mod.eclass,v 1.3 2006/09/27 12:59:56 wolf31o2 Exp $
# Ensure vmware comes before linux-mod since we want linux-mod's pkg_preinst and
@@ -81,13 +81,13 @@ vmware-mod_src_install() {
if [[ -n "`echo ${VMWARE_MODULE_LIST} | grep vmmon`" ]];
then
dodir /etc/udev/rules.d
- echo 'KERNEL=="vmmon*", GROUP="'$VMWARE_GROUP'" MODE=660' > "${D}/etc/udev/rules.d/60-vmware.rules" || die
+ echo 'KERNEL=="vmmon*", GROUP="'$VMWARE_GROUP'" MODE=660' >> "${D}/etc/udev/rules.d/60-vmware.rules" || die
+ echo 'KERNEL=="vmnet*", GROUP="'$VMWARE_GROUP'" MODE=660' >> "${D}/etc/udev/rules.d/60-vmware.rules" || die
fi
linux-mod_src_install
}
-
# Current VMWARE product mappings
# 'VME_TOT' = .0
# 'VME_GSX1' = .1